Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.core.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.certra.core.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.certra.core.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.core.v2

Method Summary
`CertificateDetailsType` | `createCertificateDetailsType()` Create an instance of `CertificateDetailsType`
`CertificateEntityType` | `createCertificateEntityType()` Create an instance of `CertificateEntityType`
`CertificateIdentifierType` | `createCertificateIdentifierType()` Create an instance of `CertificateIdentifierType`
`CertificateInfoType` | `createCertificateInfoType()` Create an instance of `CertificateInfoType`
`ContactDataType` | `createContactDataType()` Create an instance of `ContactDataType`
`ContractType` | `createContractType()` Create an instance of `ContractType`
`EHealthCertificateSigningRequestType` | `createEHealthCertificateSigningRequestType()` Create an instance of `EHealthCertificateSigningRequestType`
`LocalizedString` | `createLocalizedString()` Create an instance of `LocalizedString`
`OrganizationIdentifierType` | `createOrganizationIdentifierType()` Create an instance of `OrganizationIdentifierType`
`OrganizationType` | `createOrganizationType()` Create an instance of `OrganizationType`
`RevocationContractType` | `createRevocationContractType()` Create an instance of `RevocationContractType`
`TextType` | `createTextType()` Create an instance of `TextType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.certra.core.v2

Method Detail

### createTextType

    public TextType createTextType()

  Create an instance of `TextType`

### createLocalizedString

    public LocalizedString createLocalizedString()

  Create an instance of `LocalizedString`

### createContactDataType

    public ContactDataType createContactDataType()

  Create an instance of `ContactDataType`

### createCertificateIdentifierType

    public CertificateIdentifierType createCertificateIdentifierType()

  Create an instance of `CertificateIdentifierType`

### createOrganizationType

    public OrganizationType createOrganizationType()

  Create an instance of `OrganizationType`

### createOrganizationIdentifierType

    public OrganizationIdentifierType createOrganizationIdentifierType()

  Create an instance of `OrganizationIdentifierType`

### createContractType

    public ContractType createContractType()

  Create an instance of `ContractType`

### createRevocationContractType

    public RevocationContractType createRevocationContractType()

  Create an instance of `RevocationContractType`

### createEHealthCertificateSigningRequestType

    public EHealthCertificateSigningRequestType createEHealthCertificateSigningRequestType()

  Create an instance of `EHealthCertificateSigningRequestType`

### createCertificateEntityType

    public CertificateEntityType createCertificateEntityType()

  Create an instance of `CertificateEntityType`

### createCertificateInfoType

    public CertificateInfoType createCertificateInfoType()

  Create an instance of `CertificateInfoType`

### createCertificateDetailsType

    public CertificateDetailsType createCertificateDetailsType()

  Create an instance of `CertificateDetailsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.